net.corda.core.node

## Class NodeInfo

- net.corda.core.node.NodeInfo

-     public class NodeInfo

  Info about a network node that acts on behalf of some form of contract party.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInfo(SingleMessageRecipient address, Party legalIdentity, java.util.List<net.corda.core.node.ServiceEntry> advertisedServices, PhysicalLocation physicalLocation)` Info about a network node that acts on behalf of some form of contract party.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleMessageRecipient` | `component1()`
    `Party` | `component2()`
    `java.util.List<net.corda.core.node.ServiceEntry>` | `component3()`
    `PhysicalLocation` | `component4()`
    `NodeInfo` | `copy(SingleMessageRecipient address, Party legalIdentity, java.util.List<net.corda.core.node.ServiceEntry> advertisedServices, PhysicalLocation physicalLocation)` Info about a network node that acts on behalf of some form of contract party.
    `boolean` | `equals(java.lang.Object p)`
    `SingleMessageRecipient` | `getAddress()`
    `java.util.List<net.corda.core.node.ServiceEntry>` | `getAdvertisedServices()`
    `Party` | `getLegalIdentity()`
    `Party` | `getNotaryIdentity()`
    `PhysicalLocation` | `getPhysicalLocation()`
    `int` | `hashCode()`
    `java.util.List<net.corda.core.crypto.Party>` | `serviceIdentities(ServiceType type)`
    `void` | `setAdvertisedServices(java.util.List<net.corda.core.node.ServiceEntry> p)`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### NodeInfo

          public NodeInfo(SingleMessageRecipient address,
                          Party legalIdentity,
                          java.util.List<net.corda.core.node.ServiceEntry> advertisedServices,
                          PhysicalLocation physicalLocation)

      Info about a network node that acts on behalf of some form of contract party.

  - ### Method Detail

    - #### getNotaryIdentity

          public Party getNotaryIdentity()

    - #### serviceIdentities

          public java.util.List<net.corda.core.crypto.Party> serviceIdentities(ServiceType type)

    - #### getAddress

          public SingleMessageRecipient getAddress()

    - #### getLegalIdentity

          public Party getLegalIdentity()

    - #### getAdvertisedServices

          public java.util.List<net.corda.core.node.ServiceEntry> getAdvertisedServices()

    - #### setAdvertisedServices

          public void setAdvertisedServices(java.util.List<net.corda.core.node.ServiceEntry> p)

    - #### getPhysicalLocation

          public PhysicalLocation getPhysicalLocation()

    - #### component1

          public SingleMessageRecipient component1()

    - #### component2

          public Party component2()

    - #### component3

          public java.util.List<net.corda.core.node.ServiceEntry> component3()

    - #### component4

          public PhysicalLocation component4()

    - #### copy

          public NodeInfo copy(SingleMessageRecipient address,
                               Party legalIdentity,
                               java.util.List<net.corda.core.node.ServiceEntry> advertisedServices,
                               PhysicalLocation physicalLocation)

      Info about a network node that acts on behalf of some form of contract party.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)